## com.imcode.imcms.servlet.admin
Class MenuEditPage

    java.lang.Object
      com.imcode.imcms.flow.Page
          com.imcode.imcms.flow.OkCancelPage
              com.imcode.imcms.servlet.admin.MenuEditPage

All Implemented Interfaces:
  HttpSessionAttribute, java.io.Serializable

    public class MenuEditPage

extends OkCancelPage

See Also:
  Serialized Form

Nested Class Summary
`static class` `MenuEditPage.SaveNewDocumentAndAddToMenuCommand`

Field Summary
`static java.lang.String` `ARCHIVE`
`static java.lang.String` `COPY`
`static java.lang.String` `CREATE`
`static java.lang.String` `DOCUMENT_TYPE_ID`
`static java.lang.String` `REMOVE`
`static java.lang.String` `SELECTED`
`static java.lang.String` `SORT`
`static java.lang.String` `SORT_KEY`
`static java.lang.String` `SORT_ORDER`

Fields inherited from class com.imcode.imcms.flow.OkCancelPage
`cancelCommand, okCommand, REQUEST_PARAMETER__CANCEL, REQUEST_PARAMETER__OK`

Fields inherited from class com.imcode.imcms.flow.Page
`IN_REQUEST`

Constructor Summary
`MenuEditPage(DispatchCommand okDispatchCommand, DispatchCommand cancelDispatchCommand, TextDocumentDomainObject textDocument, int menuIndex, javax.servlet.ServletContext servletContext)`

Method Summary
`protected void` `dispatchOther(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
`MenuDomainObject` `getMenu()`
`java.lang.String` `getPath(javax.servlet.http.HttpServletRequest request)`
`TextDocumentDomainObject` `getTextDocument()`
`void` `save(UserDomainObject user)`
`protected void` `updateFromRequest(javax.servlet.http.HttpServletRequest request)`

Methods inherited from class com.imcode.imcms.flow.OkCancelPage
`dispatch, dispatchCancel, dispatchNotCanceled, dispatchOk, wasCanceled, wasOk`

Methods inherited from class com.imcode.imcms.flow.Page
`forward, fromRequest, getSessionAttributeName, htmlHidden, removeFromSession, setSessionAttributeName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SORT_KEY

    public static final java.lang.String SORT_KEY

See Also:
  Constant Field Values

### SELECTED

    public static final java.lang.String SELECTED

See Also:
  Constant Field Values

### DOCUMENT_TYPE_ID

    public static final java.lang.String DOCUMENT_TYPE_ID

See Also:
  Constant Field Values

### CREATE

    public static final java.lang.String CREATE

See Also:
  Constant Field Values

### COPY

    public static final java.lang.String COPY

See Also:
  Constant Field Values

### ARCHIVE

    public static final java.lang.String ARCHIVE

See Also:
  Constant Field Values

### REMOVE

    public static final java.lang.String REMOVE

See Also:
  Constant Field Values

### SORT_ORDER

    public static final java.lang.String SORT_ORDER

See Also:
  Constant Field Values

### SORT

    public static final java.lang.String SORT

See Also:
  Constant Field Values

Constructor Detail

### MenuEditPage

    public MenuEditPage(DispatchCommand okDispatchCommand,
                        DispatchCommand cancelDispatchCommand,
                        TextDocumentDomainObject textDocument,
                        int menuIndex,
                        javax.servlet.ServletContext servletContext)

Method Detail

### dispatchOther

    protected void dispatchOther(javax.servlet.http.HttpServletRequest request,
                                 javax.servlet.http.HttpServletResponse response)
                          throws java.io.IOException,
                                 javax.servlet.ServletException

  Overrides:
    `dispatchOther` in class `OkCancelPage`
  Throws:
    `java.io.IOException`
    `javax.servlet.ServletException`

### updateFromRequest

    protected void updateFromRequest(javax.servlet.http.HttpServletRequest request)

  Specified by:
    `updateFromRequest` in class `OkCancelPage`

### getMenu

    public MenuDomainObject getMenu()

### getTextDocument

    public TextDocumentDomainObject getTextDocument()

### getPath

    public java.lang.String getPath(javax.servlet.http.HttpServletRequest request)

  Specified by:
    `getPath` in class `Page`

### save

    public void save(UserDomainObject user)
              throws DocumentSaveException

  Throws:
    `DocumentSaveException`